package seal_request

import (
	"encoding/json"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/http"
	"git.sxidc.com/student-physical-examination/contract_lock_sdk/model/common"
)

type SealApplyTerminatRequest struct {
	// <ext>core:true;format:string</ext> 【用印申请id】用印申请id 【作用】 查询需作废的用印申请
	SealApplyId *int64                                   `json:"sealApplyId"`
	UserInfo    *common.SealApplyTerminatUserInfoRequest `json:"userInfo,omitempty"`
	// <ext>core:true</ext> 【作废原因】作废原因 【作用】 记录作废的原因，在用印详情页面展示
	Reason string `json:"reason"`
}

func (obj SealApplyTerminatRequest) GetUrl() string {
	return "/seal/apply/terminat"
}

func (obj SealApplyTerminatRequest) GetHttpParameter() *http.HttpParameter {
	parameter := http.NewPostHttpParameter()
	jsonBytes, _ := json.Marshal(obj)
	parameter.SetJsonParamer(string(jsonBytes))
	return parameter
}
